FcConfigFilename(3)

NAME
FcConfigFilename - Find a config file

SYNOPSIS

#include <fontconfig.h>

char * FcConfigFilename (const char *name);

DESCRIPTION

Given the specified external entity name, return the associated filename. This provides applications a way to convert various configuration file references into filename form.

A null or empty name indicates that the default configuration file should be used; which file this references can be overridden with the FC_CONFIG_FILE environment variable. Next, if the name starts with ~, it refers to a file in the current users home directory. Otherwise if the name doesn't start with '/', it refers to a file in the default configuration directory; the built-in default directory can be overridden with the FC_CONFIG_DIR environment variable.

VERSION

Fontconfig version 2.3.2